com.mysql.cj.xdevapi

## Enum Client.ClientProperty

- java.lang.Object
- - java.lang.Enum<Client.ClientProperty>
  - - com.mysql.cj.xdevapi.Client.ClientProperty

All Implemented Interfaces:
  Serializable, Comparable<Client.ClientProperty>

Enclosing interface:
  Client

    public static enum Client.ClientProperty
    extends Enum<Client.ClientProperty>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`POOLING_ENABLED`
`POOLING_MAX_IDLE_TIME`
`POOLING_MAX_SIZE`
`POOLING_QUEUE_TIMEOUT`

### Field Summary

Fields
`private String` `keyName`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getKeyName()`
`static Client.ClientProperty` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Client.ClientProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### POOLING_ENABLED

    public static final Client.ClientProperty POOLING_ENABLED

#### POOLING_MAX_SIZE

    public static final Client.ClientProperty POOLING_MAX_SIZE

#### POOLING_MAX_IDLE_TIME

    public static final Client.ClientProperty POOLING_MAX_IDLE_TIME

#### POOLING_QUEUE_TIMEOUT

    public static final Client.ClientProperty POOLING_QUEUE_TIMEOUT

### Field Detail

#### keyName

    private String keyName

### Method Detail

#### values

    public static Client.ClientProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Client.ClientProperty c : Client.ClientProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Client.ClientProperty valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getKeyName

    public String getKeyName()

Copyright © 2016, 2024, Oracle and/or its affiliates.